OPENSC-CONFIG(1)

NAME
opensc-config - a tool to get information about the installed version of OpenSC

SYNOPSIS

opensc-config [OPTIONS]

DESCRIPTION

opensc-config is a tool that is used to get various information about the installed version of OpenSC. It is particularly useful in determining compiler and linker flags necessary to build programs with the OpenSC libraries.

OPTIONS

opensc-config accepts the following options:

--version
    Print the installed version of OpenSC to standard output.

--libs
    Print the linker flags that are needed to compile a program to use the OpenSC libraries.

--cflags
    Print the compiler flags that are needed to compile a program to use the OpenSC libraries.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that OpenSC was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that OpenSC was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

SEE ALSO

opensc(7)